summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2016-02-15 18:49:00 -0500
committerDan Radez <dradez@redhat.com>2016-03-01 09:43:30 -0500
commitf28880f75359edb99f3e4e6b2680fdb814774903 (patch)
tree88ddbd129436c689189341814720af57c18e2c64 /ci/deploy.sh
parentbc0733cb7611c8175463b048ba3139c3d634bfb1 (diff)
Adding SDNVPN support
Change-Id: Id2d6d46a53129d4ae2f93fad835536da067e42df JIRA: APEX-51 Signed-off-by: Dan Radez <dradez@redhat.com> (cherry picked from commit c86bd1f24647646b7489cd72e0a0bb91f4a505f1)
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 218fe9e6..31cd4625 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -301,8 +301,8 @@ parse_inventory_file() {
fi
eval $(parse_yaml $INVENTORY_FILE) || {
- echo "${red}Failed to parse inventory.yaml. Aborting.${reset}" &&
- exit 1
+ echo "${red}Failed to parse inventory.yaml. Aborting.${reset}" &&
+ exit 1
}
instack_env_output="
@@ -798,6 +798,8 @@ function undercloud_prep_overcloud_deploy {
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_l3.yaml"
elif [ "${deploy_options_array['sfc']}" == 'true' ]; then
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sfc.yaml"
+ elif [ "${deploy_options_array['vpn']}" == 'true' ]; then
+ DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sdnvpn.yaml"
else
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight.yaml"
fi
@@ -881,6 +883,7 @@ function undercloud_prep_overcloud_deploy {
if [ "$debug" == 'TRUE' ]; then
LIBGUESTFS_BACKEND=direct virt-customize -a overcloud-full.qcow2 --root-password password:opnfvapex
fi
+
source stackrc
set -o errexit
echo "Uploading overcloud glance images"